SETARCH(8)

NOM
setarch - Modifier l’architecture signalée dans un nouvel environnement de programme et définir les attributs de personnalité

SYNOPSIS
setarch arch [options] [programme [argument ...]]

arch [options] [programme [argument ...]]

setarch --list|-h|-V

DESCRIPTION
setarch n'affecte actuellement que la sortie de uname -m. Par exemple, sur un système AMD 64, l'exécution de setarch i386 programme aura pour conséquence que programme verra i686 au lieu de x86_64 comme type de machine. Il admet aussi la modification de diverses options de personnalité. Le programme par défaut est /bin/sh.

OPTIONS

--list
    Afficher les architectures connues par setarch. La faculté de setarch à définir une de ces architectures dépend en réalité du noyau utilisé.

--uname-2.6
    Forcer le programme à voir un numéro de version du noyau qui commence par 2.6.

-v, --verbose
    Sortie détaillée.

-3, --3gb
    Indiquer que les processus ne doivent utiliser qu'un maximum de 3 Go d'espace d'adressage sur les systèmes les prenant en charge (ADDR_LIMIT_3GB).

--4gb
    Ignoré (seulement pour la compatibilité ascendante).

-B, --32bit
    Activer ADDR_LIMIT_32BIT.

-F, --fdpic-funcptrs
    Les pointeurs de fonction en espace utilisateur pointent vers des descripteurs (activer FDPIC_FUNCPTRS).

-I, --short-inode
    Activer SHORT_INODE.

-L, --addr-compat-layout
    Changer la façon dont la mémoire virtuelle est allouée (activer ADDR_COMPAT_LAYOUT).

-R, --addr-no-randomize
    Désactiver l'ajout d'aléa pour l'espace d'adressage virtuel (activer ADDR_NO_RANDOMIZE).

-S, --whole-seconds
    Activer WHOLE_SECONDS.

-T, --sticky-timeouts
    Activer STICKY_TIMEOUTS.

-X, --read-implies-exec
    Activer READ_IMPLIES_EXEC.

-Z, --mmap-page-zero
    Activer MMAP_PAGE_ZERO.

-V, --version
    Afficher les informations sur la version et quitter.

-h, --help
    Afficher un texte d'aide puis quitter.

EXEMPLES
setarch ppc32 rpmbuild --target=ppc --rebuild titi.src.rpm
setarch ppc32 -v -vL3 rpmbuild --target=ppc --rebuild toto.src.rpm
setarch ppc32 --32bit rpmbuild --target=ppc --rebuild titi.src.rpm

AUTEUR
Elliot Lee (sopwith@redhat.com)
Jindrich Novy (jnovy@redhat.com)

DISPONIBILITÉ
La commande setarch fait partie du paquet util-linux, elle est disponible sur l’archive du noyau Linux (ftp://ftp.kernel.org/pub/linux/utils/util-linux/).

TRADUCTION
Cette page de manuel a été traduite et est maintenue par Lyes Zemmouche et les membres de la liste <debian-l10n-french AT lists DOT debian DOT org>. Veuillez signaler toute erreur de traduction par un rapport de bogue sur le paquet manpages-fr-extra.